# Asterisk Project : Asterisk 12 AGICommand_set music

Added by wikibot , edited by wikibot on Aug 29, 2013

# SET MUSIC

### Synopsis

Enable/Disable Music on hold generator

### Description

Enables/Disables the music on hold generator. If class is not specified, then the `default` music on hold class will be used. This generator will be stopped automatically when playing a file.

Always returns `0`.

### Syntax

    SET MUSIC  CLASS

##### Arguments

- {{}}
  - {{}}
    - - `on`
  - {{}}
    - - `off`
- `class`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown